;************************ RTCinit ********************************
			RTK_Page	;   Real Time Keep
	CLRF secs,ACCESS ; Initialize timekeeping registers
	CLRF mins,ACCESS ;
	CLRF hours,ACCESS ;
	CLRF days,ACCESS ;
	CLRF Tic_10,ACCESS ; Clear tics

  #ifdef	RTK_ADC_Source	; 18 750   
;  ""   1   ,  
;   1      . 
	movlf d'20',Tic_18750,BANKED;  19,  986   
	movlf	d'188',Tic_1000,BANKED;  187,  100,26   
	movlf 0x54,Tic_100,BANKED;10 tics LSB
	movlf 0x08,Tic_100+1,BANKED;10 tics MSB
  #else	; 1000   
;**********;;  1  RTK **************
;      
;   1000   1    ( ), 10    100
	clrf	T1CON,ACCESS
	bsf		T1CON,RD16,ACCESS	; 16  
;	bsf		T1CON,T1CKPS1,ACCESS; 1/4 
;	bsf		T1CON,T1CKPS0,ACCESS ; 1/8 

	MOVLW 0x80 ; Preload TMR1 register pair
	MOVWF TMR1H,ACCESS 	; for 1 second overflow
	CLRF TMR1L,ACCESS	;
;	MOVLW b00001111 ; Configure for external clock,
;	MOVWF T1OSC ; Asynchronous operation, external oscillator
;*****************************************

	movlf	d'10',Tic_1000,BANKED
	movlf	d'10',Tic_100,BANKED
	

;*******************************************************************************************	
	bcf		IPR1,TMR1IP,ACCESS	; TMR1  
	bcf		PIR1,TMR1IF,ACCESS	;   .
	bsf		PIE1,TMR1IE,ACCESS	;   183     .	
	bsf		T1CON,TMR1ON,ACCESS	;  183 


  #endif

;************* -5     *************
 setf	PR5H,ACCESS 	; 
 setf	PR5L,ACCESS		; 
 clrf	TMR5H,ACCESS	; 
 clrf	TMR5L,ACCESS	; 
;REGISTER 14-1: T5CON: TIMER5 CONTROL REGISTER
;R/W-0 R/W-0 R/W-0 R/W-0 R/W-0 R/W-0 R/W-0 R/W-0
;T5SEN RESEN T5MOD T5PS1 T5PS0 T5SYNC TMR5CS TMR5ON
 clrf	T5CON,ACCESS ; Reset State
;bit 7 										  bit 0
;bit 7 T5SEN: Timer5 Sleep Enable bit(1)
;1 = Timer5 enabled during Sleep
;0 = Timer5 disabled during Sleep
;bit 6 RESEN: Special Event Reset Enable bit
;1 = Special Event Reset disabled
;0 = Special Event Reset enabled
 bsf T5CON,NOT_RESEN,ACCESS  ;     
;bit 5 T5MOD: Timer5 Mode bit
;1 = Single-Shot mode enabled
;0 = Continuous Count mode enabled
;	 bsf T5CON,T5MOD,ACCESS  ;  / 
;bit 4:3 T5PS1:T5PS0: Timer5 Input Clock Prescale Select bits
;11 =1:8 ;10 =1:4 ;01 =1:2 ;00 =1:1
; bsf T5CON,T5PS1,ACCESS	;   1/4,   = 1/3 
; bsf T5CON,T5PS0,ACCESS	;   

;bit 2 T5SYNC: Timer5 External Clock Input Synchronization Select bit
;When TMR5CS = 1:
;1 = Do not synchronize external clock input
;0 = Synchronize external clock input
;When TMR5CS = 0:
;This bit is ignored. Timer5 uses the internal clock when TMR5CS = 0
;bit 1 TMR5CS: Timer5 Clock Source Select bit
;1 = External clock from pin T5CKI
;0 = Internal clock (TCY)
;bit 0 TMR5ON: Timer5 On bit
;1 = Timer5 enabled
;0 = Timer5 disabled
 bsf T5CON,TMR5ON,ACCESS ;  Timer
;Note 1: For Timer5 to operate during Sleep mode, T5SYNC must be set.
	bsf		IPR3,TMR5IP,ACCESS	;   5  
	bcf		PIR3,TMR5IF,ACCESS	;    	
	bsf		PIE3,TMR5IE,ACCESS	;   5 




	