#define ParametrNum		d'17'	;    
#define ParamDelta		d'21'	;      
#define CyrTable	Yes			;       Win1251  HD44780

;     - LCD 
#define LCD_BANK movlb	0x0	; BSR  0  LCD
;#define Print_Page movlb 0x0; BSR  0    -   
#define LCD_Present		YES	; 
#define LCD_Work_Present YES;   
#define LCD_TimeOut_Work .12;        
#define LCD_TimeOut_Service	.3;         
#define LCD_Debounce_TimeOut .30;  /      

#define LCD_BCD_BANK movlb	0x1	; BSR  1  BIN_2_BCD

#ifdef	PORTD ;; 18F4431,  2431  
 
 #define LCD_Key_Port	PORTD	
 #define LCD_Key_Lat	LATD
 #define LCD_Ctrl_Port	PORTD
 #define LCD_Ctrl_TRIS	TRISD
 #define LCD_Key_TRIS	TRISD

 #define LCD_RS	 		LCD_Key_Lat,7,ACCESS; 04  LCD
 #define LCD_RW	 		LCD_Key_Lat,6,ACCESS; 05  LCD
 #define LCD_E	 		LCD_Key_Lat,5,ACCESS; 06  LCD

#define LCD_TRIS_RS		LCD_Ctrl_TRIS,7,ACCESS
#define LCD_TRIS_RW		LCD_Ctrl_TRIS,6,ACCESS
#define LCD_TRIS_E		LCD_Ctrl_TRIS,5,ACCESS

#else ; 18F2431
 
 #define LCD_Key_Port	PORTC	
 #define LCD_Key_Lat	LATC
 #define LCD_Ctrl_Port	PORTC
 #define LCD_Ctrl_TRIS	TRISC
 #define LCD_Key_TRIS	TRISC

 #define LCD_RS	 		LCD_Key_Lat,5,ACCESS; 04  LCD
 #define LCD_RW	 		LCD_Key_Lat,4,ACCESS; 05  LCD
 #define LCD_E	 		LATA,4,ACCESS;  06  LCD

 #define LCD_TRIS_RS	LCD_Ctrl_TRIS,5,ACCESS
 #define LCD_TRIS_RW	LCD_Ctrl_TRIS,4,ACCESS
 #define LCD_TRIS_E		TRISA,4,ACCESS

#endif

#define LCD_Key_Port0	LCD_Key_Port,0,ACCESS
#define LCD_Key_Port1	LCD_Key_Port,1,ACCESS
#define LCD_Key_Port2	LCD_Key_Port,2,ACCESS
#define LCD_Key_Port3	LCD_Key_Port,3,ACCESS
#define LCD_Key_Port4	LCD_Key_Port,3,ACCESS
#define LCD_Key_Port5	LCD_Key_Port,3,ACCESS

#define LCD_Key_Lat0	LCD_Key_Lat,0,ACCESS
#define LCD_Key_Lat1	LCD_Key_Lat,1,ACCESS
#define LCD_Key_Lat2	LCD_Key_Lat,2,ACCESS
#define LCD_Key_Lat3	LCD_Key_Lat,3,ACCESS

#define LCD_Key_TRIS0	LCD_Key_TRIS,0,ACCESS
#define LCD_Key_TRIS1	LCD_Key_TRIS,1,ACCESS
#define LCD_Key_TRIS2	LCD_Key_TRIS,2,ACCESS
#define LCD_Key_TRIS3	LCD_Key_TRIS,3,ACCESS

#define LCD_Key_Mask01	b'00001111';    SET
#define LCD_Key_Mask10	b'11110000';    Clear




;#define LCD_Ctrl_TRIS3	LCD_Ctrl_TRIS,0,ACCESS

;#define LCD_E1	 		LATB,0,ACCESS
#define LCD_Enc0 		LCD_Ctrl_Port,7,ACCESS;  
#define LCD_Enc1 		LCD_Ctrl_Port,6,ACCESS;    


#define First_RAM_Addr			0	;   ,    
;     -  Accsess RAM  =0.
#ifdef	__DEBUG
	#define Debug_LCD_Busy 		1 	;     , 1=
#else
	#define Debug_LCD_Busy 		0 	;     , 1=
#endif

#define Short_Lcd_Bus		1	; 1= LCD 4  - .
#define Nibble_Lcd_Bus		YES	; 1= LCD 4       - .
 .if	Short_Lcd_Bus == 1
#define LCD_First_Init	0x28 ;      44780
 .else
#define LCD_First_Init	0x38 ;      44780
 .endif

;#define LCD_Init 		Flag1,0,0 
;#define Dl1_Flg 		Flag1,1,0 
#define Encoder_Step	0x1 ;   ,   3

;       4  -   
; 8  .   -     .
;     ""     
;  -      . 

 #ifdef	LcdOutStr		; 
	#undefine	LcdOutStr	; 
 #endif						;  
LcdOutStr	macro	NumChan; WREG  ,  
	movwf	LCD_ComBuf+NumChan,ACCESS
	bcf		LCD_Flg,4,ACCESS		;     
	bsf		LCD_Flg2,NumChan,ACCESS		;     
	endm
LcdOutStr1	macro	NumChan;    WREG  
	local	EndMacro
	btfss	LCD_Flg,4,ACCESS	; ,  LCD
		bra		EndMacro
	clrf	LCD_Pos,ACCESS	;      
	movwf	LCD_Com,ACCESS	; 
	clrf	LCD_Com+1,ACCESS;    / .
	bcf		LCD_Flg,4,ACCESS		;     
EndMacro
	endm
 