;           
 	bra		Step_0	; 
	bra		Step_1	; 
	bra		Step_2	; 
	bra		Step_3	; 
	bra		Step_4	; 
	bra		Step_5	; 
	bra		Step_6	; 
	bra		Step_7	; 
	bra		Step_8	; 
	bra		Step_9	; 
	bra		Step_10	; 
	bra		Step_11	; 
	bra		Step_12	;
	bra		Step_13	;
	bra		Step_14	; 
	bra		Step_15	; 
	bra		Step_16	; 
	bra		Step_17	; 
	bra		Step_18	; 
	bra		Step_19	; 
	bra		Step_20	;
	bra		Step_21	;
	bra		Step_22	;
	bra		Step_23	;
	bra		Step_24	;
	bra		Step_25	;
	bra		Step_26	;
	bra		Step_27	;
	bra		Step_28	;
	bra		Step_29	;
	bra		Step_30	;
	bra		Step_31	;
	bra		Step_32	;
	bra		Step_33	;
	bra		Step_34	;
	bra		Step_35	;
	bra		Step_36	;
	bra		Step_37	;
	bra		Step_38	;
	bra		Step_39	;
	bra		Step_40	;
	bra		Step_41	;
	bra		Step_42	;
	bra		Step_43	;
	bra		Step_44	;
	bra		Step_45	;

; -    
	retlw	0x01	;
;        
;--------------------------------------------------------------------
;Unsigned Division  32bit / 16bit -> 16bit
;EXTWRD / LUK -> WRD, remainder -> EXT
;detailed EXT_H:EXT_L:WRD_H:WRD_L / LUK_H:LUK_L -> WRD_H:WRD_L
;On overflow or divide by zero: FFFFh -> WRD, FFFFh -> EXT
;LUK value remains. Affected registers: temp reg  Math_Work+0,BANKED,
; Math_Work+1,BANKED, Math_Work+2,BANKED, Math_Work+3,BANKED

Step_0; ; DIV32: AN617 Page 13 FlowChart Comments
 clrf   Math_Work+0,BANKED	;TEMP
 clrf   Math_Work+1,BANKED	; Clear Reminder
 clrf   Math_Work+2,BANKED	; Partial Quotient= ;  
							; = Dividend	; 

 movlw  0xE0;-32;    ;LOOPS	;;i=0 ;   
;   = -32.     - .
;      . 
 movwf  Math_Work+3,BANKED		;

;     -     
 	incf	Math_Step,F,BANKED	;   ""     

; retlw	0x0
Step_1; SHIFT R8R6R4<<1; D32_Loop:
;   ///   
 bcf    STATUS,C		;   
 rlcf   WRD_L,f,BANKED	; Left Shift	;   
 rlcf   WRD_H,f,BANKED	; reminder		;   
 rlcf   EXT_L,f,BANKED	; and			;  
 rlcf   EXT_H,f,BANKED	; quotient		; 
 rlcf   Math_Work+2,f,BANKED	;    
 rlcf   Math_Work+1,f,BANKED	;      
 rlcf   Math_Work+0,f,BANKED	;     
;update _Work+1,2=_Work+1,2-LUK if remains positive
 movf   LUK_L,w,BANKED			; Substract Divisor	;  
 subwf  Math_Work+2,F,BANKED	; from partial		;     
 movf   LUK_H,w,BANKED			; Reminder			;  
 subwfb Math_Work+1,W,BANKED	;
   	bc     D32_4    ;borrow = !carry ; Result >0 ? ;  >0 ?
 ;16 bit subtraction < 0 ;      2     1 ?
;      "restore partial quotient" ?
;      c   WREG 
; (     ),      ?
 tstfsz Math_Work+0,BANKED		;
   	bra    D32_3    ;borrow from _Work+0
 ;24 bit subtraction < 0
 ;restore _Work+2 (_Work+1 is already unhanged)
 movf   LUK_L,w,BANKED			;  
 addwf  Math_Work+2,F,BANKED	;  
   	bra    D32_NextShift		;   , LSB=0  () 
        ;
D32_3:
 decf   Math_Work+0,F,BANKED	;update _Work+0
D32_4:
 movwf  Math_Work+1,BANKED		;update _Work+0 (_Work+2 is already updated)
 		bsf    WRD_L,0,BANKED    ; LSB=1
;  4     0 
;         ? 
 btfss  Math_Work+3,4,BANKED	;>=16 counts remaining?
   	bra    D32_OverFlow    ;overflow
        ;
        ;next loop
D32_NextShift:
	incfsz Math_Work+3,f,BANKED	;
;      	bra    D32_Loop			;
;	incfsz Math_Work+3,f,BANKED
		retlw	0x0	;    
        ;
    ;ready, result ok
    movff  Math_Work+2,EXT_L	;remainder
    movff  Math_Work+1,EXT_H	;    
D32_Return
  movff	FXD3216U_Return,Math_Step;	
    retlw	0x0	;    
        ;
        ;overflow
D32_OverFlow: ;movlw  0FFh
        setf  WRD_H,BANKED	;
        setf  WRD_L,BANKED	;
        setf  EXT_H,BANKED	;
        setf  EXT_L,BANKED	;
	bra  D32_Return


;--------------------------------------------------------------------
Step_2	;   32/16  -    
;       

 clrf_N   Math_Work+0,BANKED,4	;TEMP
; clrf   Math_Work+1,BANKED	; Clear Reminder
; clrf   Math_Work+2,BANKED	; Partial Quotient= ;  
; clrf   Math_Work+3,BANKED	; = Dividend	; 
;      n
;:     
;

 movlw  d'32';0xE0;-32;    ;LOOPS	;;i=0 ;   
;   = -32.     - .
;      . 
 movwf   MathLoopCount,BANKED	;

;     -     
 	incf	Math_Step,F,BANKED	;   ""     
; retlw	0x0

; retlw	0x0
Step_3	;
; SHIFT R8R6R4<<1; D32_Loop:
;   ///   
;       -     
; A_Arg.Reminder=A_Arg/B_Arg
 bcf    STATUS,C		;   , LSB=0 

 rlcf   A_Arg+0,f,BANKED;L_B ; Left Shift	;   
 rlcf   A_Arg+1,f,BANKED;H_B ; reminder		;   
 rlcf   A_Arg+2,f,BANKED;U_B ; and			;  
 rlcf   A_Arg+3,f,BANKED;UUB ; quotient		; 

 rlcf   Math_Work+0,f,BANKED;    
 rlcf   Math_Work+1,f,BANKED;      
 rlcf   Math_Work+2,f,BANKED;     
; rlcf   Math_Work+3,f,BANKED;     

;update _Work+1,2=_Work+1,2-LUK if remains positive
 	movf B_Arg+0,W,BANKED	; Substract Divisor	;  
 subwf  Math_Work+0,F,BANKED; from partial		;     

 	movf B_Arg+1,W,BANKED	; Reminder			;  
 subwfb Math_Work+1,W,BANKED; 
   	bc     D24_4    ;borrow = !carry ; Result >0 ? ;  >0 ?
;16 bit subtraction < 0 ;      2     1 ?
;      "restore partial quotient" ?
;      c   WREG 
; (     ),      ?
  tstfsz Math_Work+2,BANKED		; MSByte
   	bra    D24_3    ;borrow from _Work+2
 ;24 bit subtraction < 0
 ;restore LSByte _Work+0 (_Work+1 is already unhanged)
  movf   B_Arg+0,w,BANKED			;  
  addwf  Math_Work+0,F,BANKED	;  
   	bra    D24_NextShift		;   , LSB=0  () 
        ;
D24_3:
 decf   Math_Work+2,F,BANKED	;update _Work+2
D24_4:
 movwf  Math_Work+1,BANKED		;update _Work+0 (_Work+2 is already updated)
	 bsf    A_Arg+0,0,BANKED    ; LSB=1
;  4     0 
;         ? 
	movlw	d'16'	;  
	CPFSLT	Math_Work+3,BANKED	;    
; btfss  Math_Work+3,4,BANKED	;>=16 counts remaining?
   	bra    D32_OverFlow    ;overflow
        ;
        ;next loop
D24_NextShift:
	decfsz MathLoopCount,f,BANKED	;
;      	bra    D32_Loop			;
;	incfsz Math_Work+3,f,BANKED
		retlw	0x0	;    
        ;
    ;ready, result ok
;    movff_N  Math_Work+0,Reminder+0,3	;remainder
;    movff  Math_Work+1,Reminder+1	;remainder
;    movff  Math_Work+2,Reminder+2
	;    
D24_Return
  movff	FXD3216U_Return,Math_Step;	
    retlw	0x0	;    
        ;
        ;overflow
D24_OverFlow: ;movlw  0FFh
 setf  Reminder+0,BANKED	;
 setf  Reminder+1,BANKED	;
 setf  Reminder+2,BANKED	;
 setf  A_Arg+0,BANKED	;
 setf  A_Arg+1,BANKED	;
 setf  A_Arg+2,BANKED	;
	bra  D24_Return


;--------------------------------------------------------------------
 retlw	0x0
Step_4;;MULW:
;;Multiplication 16bit * 16bit -> 32bit
;;WRD * LUK -> EXTWRD
;;detailed:
;; A_Arg+1:A_Arg+0 * B_Arg+1:B_Arg+0 -> A_Arg+3:A_Arg+2:A_Arg+1:A_Arg+0
;; B_Arg value remains. Affected registers: temp reg Math_Work+3
; FXM1616U A_Arg,BANKED,B_Arg,BANKED,Math_Work+3,BANKED	;  
; FXM161632U macro D_Arg,A1D,A_Arg,A1A,B_Arg,A1B,_Work,A1W; 
 FXM1616U2 C_Arg,BANKED	,A_Arg,BANKED	,B_Arg,BANKED,	Math_Work+3,BANKED	;
 FXM1680U C_Arg,BANKED	,A_Arg,BANKED	,B_Arg,BANKED;,	Math_Work+3,BANKED	;
; C=*B
;           ,  
 movff_N	C_Arg,A_Arg,4	; /. 
;
; movf    A_Arg+1,w,BANKED	;  
; mulwf   B_Arg+1,BANKED		; B_Arg+1 * A_Arg+1
; movff   PRODH,A_Arg+3		; ,  
; movff   PRODL,A_Arg+2		;   
;
; movf    A_Arg+0,w,BANKED	;  
; mulwf   B_Arg+0,BANKED		; B_Arg+0 * A_Arg+0
; movff   PRODH,Math_Work+3	; ,  
; movff   PRODL,A_Arg+0		;   ,
;;         
;
; mulwf   B_Arg+1,BANKED		; B_Arg+1 * A_Arg+0
; movf    PRODL,w	;   , 
; addwf   Math_Work+3,f,BANKED; Add cross
; movf    PRODH,w			; products
; addwfc  A_Arg+2,f,BANKED	;       1 
; clrf    WREG ;   
; addwfc  A_Arg+3,f,BANKED	;
;
; movf    A_Arg+1,w,BANKED	;
; mulwf   B_Arg+0,BANKED		; B_Arg+0 * A_Arg+1
; movf    PRODL,w ;;   , 
; addwf   Math_Work+3,w,BANKED;Add cross
; movwf   A_Arg+1,BANKED		;
; movf    PRODH,w		    ; products
; addwfc  A_Arg+2,f,BANKED	;       1 
; clrf    WREG	;   
; addwfc  A_Arg+3,f,BANKED	;
; 
 movff	FXM1616U_Return,Math_Step;	
    retlw	0x0	;    
 
;      return





 retlw	0x0
Step_5	;

 retlw	0x0
;--------------------------------------------------------------------
Step_6;;
	 retlw	0x0
Step_7	;

 retlw	0x0

Step_8;

 retlw	0x0
;--------------------------------------------------------------------
Step_9	;
 retlw	0x0
Step_10;
	 retlw	0x0
Step_11;
 retlw	0x0
Step_12;
 retlw	0x0
Step_13;
		RETLW		0x08
;-----------------------------------------------------------

Step_14;
Step_15	
Step_16	;
 retlw	0x0
Step_17	
 retlw	0x0
Step_18 ;
 retlw	0x0
Step_19	
 retlw	0x0
Step_20	; 
 retlw	0x0
Step_21
 retlw	0x0
Step_22
 retlw	0x0
Step_23
 retlw	0x0
Step_24
 retlw	0x0
Step_25
 retlw	0x0
Step_26
 retlw	0x0
Step_27
 retlw	0x0
Step_28	; 
 retlw	0x0
Step_29
 retlw	0x0
Step_30
 retlw	0x0
Step_31
 retlw	0x0
Step_32
 retlw	0x0
Step_33
 retlw	0x0
Step_34
 retlw	0x0
Step_35
 retlw	0x0
Step_36
 retlw	0x0
Step_37
 retlw	0x0
Step_38
 retlw	0x0
Step_39
 retlw	0x0
Step_40
 retlw	0x0
Step_41
 retlw	0x0
Step_42
 retlw	0x0
Step_43
;  
	movf	B_Arg+0,W,BANKED	;
	CPFSEQ	A_Arg+0,BANKED		;
		bra IncErr
	movf	B_Arg+1,W,BANKED	;
	CPFSEQ	A_Arg+1,BANKED		;
IncErr:
		incf	Math_ErrCount,F,BANKED;-1
	incf	Math_Step,F,BANKED	;   ""     
 retlw	0x0
Step_44

;	Inc16	B_Arg,BANKED	; =+1	     
	incf	B_Arg+1,F,BANKED;    
	clrf	B_Arg+0,BANKED	;   =0
	movff16	B_Arg,A_Arg		; =      
;

	movlf	d'2',FXM1616U_Return,BANKED	;	    
	movlf	d'43',FXD3216U_Return,BANKED	;	     
	movlf	d'4',Math_Step,BANKED;	  
;		bra	Step_4	; 
 retlw	0x0
Step_45
 movf A_Arg+0,W,BANKED;A_Arg+1	; 
 movwf RPM_Test+0,BANKED	;  
 
 movf A_Arg+1,W,BANKED;A_Arg+2	; 
 movwf RPM_Test+1,BANKED	;   

 goto	Math_EndCmd	;  .
 ;retlw	0x0

 retlw	0x20
; EndMathTask
 retlw	0x0
;	return	0
